@import "../utils/variables";

.root {
  display: grid;
  grid-template-rows: 1fr;
  grid-template-columns: 4.5rem 1fr;
  height: 100%;

  &[data-theme="dark"] {
    .headingBar {
      border-right-color: $border-color-dock-dark;
    }
  }

  &[data-theme="light"] {
    .headingBar {
      border-right-color: $border-color-dock-light;
    }
  }

  &[data-expanded="false"] {
    .mainContent {
      opacity: 0;
    }
  }

  .headingBar {
    padding-top: 1.8rem;
    border-right: solid 1px;
    height: 100%;

    .headingText {
      display: inline-block;
      font-size: 1.8rem;
      font-weight: 500;
      transform: rotateZ(270deg);
    }
  }

  .mainContent {
    padding: 0.5rem 1rem;
    opacity: 1;
    will-change: opacity;
    transition: opacity 100ms linear;
  }
}
